%global debug_package %{nil}
%global revision 62

Name:           unittest
Version:        0.50
Release:        %{revision}.5%{?dist}
Summary:        C++ Unit Test Framework

Group:          Development/Libraries
License:        BSD
URL:            http://unittest.red-bean.com/
Source0:        http://unittest.red-bean.com/tar/%{name}-%{version}-%{revision}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       %{name}-devel = %{version}-%{release}


%description
Unittest is a C++ unit test framework. Its design goals are to be simple, to
be idiomatic C++, and to follow the basic xUnit style to the extent that doing
so is compatible with the earlier goals. Its main differences from other xUnit
frameworks are that it uses constructors and destructors for setup/teardown
and that it requires you to represent tests as classes, instead of methods.

%package devel
Summary:        C++ Unit Test Framework
Group:          Development/Libraries
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}


%description devel
Unittest is a C++ unit test framework. Its design goals are
to be simple, to be idiomatic C++, and to follow the basic xUnit style to the
extent that doing so is compatible with the earlier goals. Its main
differences from other xUnit frameworks are that it uses constructors and
destructors for setup/teardown and that it requires you to represent tests as
classes, instead of methods.


%prep
%setup -q -n %{name}-%{version}-%{revision}

# package wants to install directly into /
%{__sed} -i 's|@libdir@|%{buildroot}%{_libdir}|g' Makefile.in

%build
%configure
make %{?_smp_mflags} libdir=%{buildroot}%{_libdir}


%install
rm -rf %{buildroot}

make install prefix=%{buildroot} \
             HTMLDIR=%{buildroot}%{_docdir}/%{name}-devel-%{version} \
             INCDIR=%{buildroot}%{_includedir}/%{name} \

%clean
rm -rf %{buildroot}

%check
./test/unittesttest

%files devel
%defattr(-,root,root,-)
%doc COPYING docs/*
%{_libdir}/libunittest.a
%{_includedir}/%{name}


%changelog
* Wed Nov  4 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.50-62.5
- use %%global instead of %%define
- comment escape doc macro
- added subpackage requires
- declare that there is no debug package
- add %%check

* Sat Oct 31 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.50-62.4
- use %%doc macro

* Fri Oct  2 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.50-62.3
- removed INSTALL file
- moved all doc files to the same dir

* Thu Oct  1 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.50-62.2
- don't include tests
- move html docs to the right dir
- add Provides: -static
- fixed Group:
- fixed /usr/lib problem for 64-bit systems in Makefile

* Wed Sep 30 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.50-62-1
- Initial release
